Package org.eclipse.ui.editors.text

## Class FileDocumentProvider.FileInfo

- java.lang.Object
- - org.eclipse.ui.texteditor.AbstractDocumentProvider.ElementInfo
  - - org.eclipse.ui.editors.text.StorageDocumentProvider.StorageInfo
    - - org.eclipse.ui.editors.text.FileDocumentProvider.FileInfo

All Implemented Interfaces:
  `IDocumentListener`

Enclosing class:
  FileDocumentProvider

    protected class FileDocumentProvider.FileInfo
    extends StorageDocumentProvider.StorageInfo

Bundle of all required information to allow files as underlying document resources.

### Field Summary

Fields
`FileDocumentProvider.FileSynchronizer` `fFileSynchronizer` The file synchronizer.
`long` `fModificationStamp` The time stamp at which this provider changed the file.

### Fields inherited from class org.eclipse.ui.editors.text.StorageDocumentProvider.StorageInfo

`fEncoding, fIsModifiable, fIsReadOnly, fUpdateCache`

### Fields inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider.ElementInfo

`fCanBeSaved, fCount, fDocument, fElement, fIsStateValidated, fModel, fStatus`

### Constructor Summary

Constructors
`FileInfo​(IDocument document, IAnnotationModel model, FileDocumentProvider.FileSynchronizer fileSynchronizer)` Creates and returns a new file info.

### Method Summary

### Methods inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider.ElementInfo

`documentAboutToBeChanged, documentChanged, equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fFileSynchronizer

    public FileDocumentProvider.FileSynchronizer fFileSynchronizer

The file synchronizer.

#### fModificationStamp

    public long fModificationStamp

The time stamp at which this provider changed the file.

### Constructor Detail

#### FileInfo

    public FileInfo​(IDocument document,
                    IAnnotationModel model,
                    FileDocumentProvider.FileSynchronizer fileSynchronizer)

Creates and returns a new file info.

Parameters:
  `document` - the document
  `model` - the annotation model
  `fileSynchronizer` - the file synchronizer